Skip to main content
Available in🇮🇳 India
Offer No Cost EMIs by Bajaj Finserv to your customers. No Cost EMIs are offered as an upfront discount to your customers. The interest levied on the EMIs is waived off. After the customer makes the purchase, they are charged as per the credit card billing cycle or payment terms agreed with Bajaj Finserv.

Prerequisites

  • The customer should be a registered user of the EMI card provider, Bajaj Finserv.
  • Generate API keys from the Dashboard. A combination of key_id and key_secret is required to authenticate API request sent to Razorpay servers.

How it Works

For the customers to avail No Cost EMIs on the Razorpay Standard Checkout, follow the detailed steps as explained below:
Raise a request with theRazorpay Support teamto create the relevant No Cost EMIs you want to display on the Checkout. Get the appropriate offer_id created for each EMI plan.
Obtain the offer_id. Let us say, offer_ANZoaxsOww2X53, from our Support team. Create an order for the transaction amount for which the created offer should be applied.POST /orders
amount mandatory : integer Amount, in currency subunits, for which the order is created. For example, if the order is to be created for ₹30,000, enter the value 3000000 (in paise).currency mandatory : string ISO code of the currency associated with the order amount.notes optional : json object Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example, "note_key": "Beam me up Scotty”.offers mandatory : array Unique identifier of the offer.
Pass the offer_id obtained from Razorpay Support team.
discountoptional : boolean Indicates if a discount is to be applied by Razorpay or not. Possible values:
  • true: Discount is applied.
  • false: Discount is not applied.
The order_id obtained in the previous step can be passed to the Checkout page as follows:Copy-paste the parameters as options in your code:

How Customers Avail Offers on Checkout

The customers can complete the payment as follows:
  1. On the Razorpay Checkout, customers enter the required details and select EMI as the payment method. Standard checkout with bajaj finserv.
  2. They can select Cardless and Others. Bajaj FinServ displayed in Cardless and Others section
  3. Customers select the EMI tenure and click Continue. Select an EMI Plan and Select Plan.
  4. They enter the details of Bajaj Finserv-issued card and click Continue. details of Bajaj Finserv-issued card.
After the successful payment, Razorpay redirects customers to your application or website. Customers’ monthly statements will reflect the EMI amount with interest charged by the bank. You can check the status of the payment from the Dashboard.

FAQs

See: No Cost EMI FAQs.